Delete Voucher
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/vouchers/{code} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find voucher with id 10OFF",
"request_id": "v-0ae28d3cec96bb1b7e",
"resource_id": "10OFF",
"resource_type": "voucher"
}Deletes a voucher. This operation cannot be undone. Additionally, this operation removes any redemptions on the voucher.
If the force parameter is set to false or not set at all, the voucher will be moved to the bin.
DELETE
/
v1
/
vouchers
/
{code}
Delete Voucher
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/vouchers/{code} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find voucher with id 10OFF",
"request_id": "v-0ae28d3cec96bb1b7e",
"resource_id": "10OFF",
"resource_type": "voucher"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Path Parameters
A unique code that identifies the voucher.
Example:
"2CpRCE2c"
Query Parameters
If this flag is set to true, the voucher will be removed permanently. If it is set to false or not set at all, the voucher will be moved to the bin. Going forward, the user will be able to create another voucher with exactly the same code.
Response
Returns no content if deletion is successful.
Last modified on May 28, 2026
Was this page helpful?
⌘I

